Subject: Re: bcm43xx: "transmit timed out" and apparent hang with "preemptible periodic work" patches

From: Michael Buesch <[email-masked]>
Date: Thu, 29 Jun 2006 17:49:53 +0200

On Thursday 29 June 2006 17:31, Paul Collins wrote:
> Michael Buesch <[email-masked]> writes:
> 
> > On Thursday 29 June 2006 10:24, Paul Collins wrote:
> >> Michael Buesch <[email-masked]> writes:
> >> 
> >> > On Monday 26 June 2006 14:43, Michael Buesch wrote:
> >> >> Try to get more logs.
> >> >> I suggest to do a netconsole for logging.
> >> >
> >> > Also note that current softmac trees have a patch missing.
> >> > It seems it got lost somewhere after my merge request.
> >> > I already contacted John in private for this, but no reply, yet.
> >> > The patch is attached. Maybe it fixes your issue.
> >> 
> >> On a preempt kernel I can trigger the hang easily,
> >
> > How? I need to reproduce it to get a clue and fix it. :)
> 
> I did it by running the commands I listed in my previous message.
> Here they are again, minus the pesky log messages.
> 
>   ip set link eth1 up
>   ip set link eth1 down
>   iwconfig eth1 essid wlan-ap enc off
>   ip set link eth1 down
>   ip set link eth1 up
>   iwconfig eth1 essid wlan-ap enc off
>   dhclient eth1

Uh, oh. You are doing an up-down-up cycle here...
I might get a clue now. This reminds me of some thought at yesterday
evening. I think that the up-down-up(down-up....) cycle is
broken and works only by accident mostly.
This bug might be hitting you here.
I will do a careful patch and send it out, later.

-- 
Greetings Michael.